#include <HardwareSerial.h> // include hardware serial library

HardwareSerial Serial2(1); // create a serial object
// Addign Rx and Tx pins
#define RXp2 D7
#define TXp2 D6

int ledPin = 2; // LED pin

void setup() {
  Serial.begin(115200);// begin serial communication
  Serial2.begin(9600, SERIAL_8N1, RXp2, TXp2);//  begin serial communication with the Arduino
  pinMode(ledPin, OUTPUT);// initialize digital pin ledPin as an output.
}

void loop() {
    if(Serial2.parseInt()==1){ // if the arduino sends 1 turn on the LED
      digitalWrite(ledPin, HIGH);
    }
    else{ // if it sends zero, turn it off.
      digitalWrite(ledPin, LOW);
    }
}
